Support » Plugin: Contextual Related Posts » It does not work skipping the amount of results from the beautiful ones

  • Resolved Danishsard

    (@danishsard)


    Hello, it does not work in the widget options is a setting, which omits the number of results of such sammy in the census foot as in the widge of related entries.

    These settings are not signing up, there is always 0 in the widget settings

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author Ajay

    (@ajay)

    Can you paste a picture of the widget?

    Thread Starter Danishsard

    (@danishsard)

    Offset
    0
    Number of posts to skip from the top

    xxxxxxxxx

    If instead of 0 I give 2, after saving the option, it is still 0

    This was done and lasts after the last update

    • This reply was modified 3 months, 1 week ago by Danishsard.
    Plugin Author Ajay

    (@ajay)

    Are you trying this in Customizer? If so can you try in Appearance > Widgets and vice versa to see if one or the other works?

    Thread Starter Danishsard

    (@danishsard)

    In adaptations I do not see this widget – there everything is displayed illegible in the blocks. Not see where what is. Something can even be an invisible line.

    Plugin Author Ajay

    (@ajay)

    @danishsard

    I’m afraid I’m confused by the above. I just tested the offset functionality of the widget in the Customize and it works well. But, I think there might be an issue in Appearance > Widgets because of the new system. I need to do some debugging and hopefully fix the issue.

    Until then if you’re trying the offset, please use the Customize option.

    Plugin Author Ajay

    (@ajay)

    @danishsard

    I think I figured the issue. It should be fixed in Github and I’ll push through a release over the weekend with some other bug fixes.

    https://github.com/WebberZone/contextual-related-posts/commit/5371d3367982547e705bd2111f7d9741e9d9c9e8

    Thread Starter Danishsard

    (@danishsard)

    After updating the plugin, the registration does not work anyway. After saving it and it is still in the memory 0

    Plugin Author Ajay

    (@ajay)

    I am not able to duplicate this. Are you doing this in Appearances > Widgets or Customizer?

    Can you open up the browser console and see what errors are generated when you hit Update after changing the offset?

    Previously there was an error specific to the crp_widget which I fixed.

    Thread Starter Danishsard

    (@danishsard)

    I do not see the CRP’s volume in adaptation of the motive – you can see others but not it. If there are blocks, there is a constant problem with the visibility of widgets.

    I see the CPR widget only in the widget settings in the administrative panel and only how I choose from the widgets menu and not as visible in the side panel in the preview. I don’t know if it’s understandable because I don’t know how to describe it.

    Console Chrome:

    “`JQMIGRATE: Migrate is installed, version 3.3.2
    3rc2Contentscript.js:249 Uncaught TypeError: Cannot read properties of null (reading ‘scrollHeight’)
    at rc2Contentscript.js:249:91
    contentscript.bundle.js:36 🚧 👷 key ‘6’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:36 🚧 👷 key ‘7’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:36 🚧 👷 key ‘8’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:36 🚧 👷 key ‘9’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:36 🚧 👷 key ’10’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:36 🚧 👷 key ’11’ not found in localizedStrings for language pl 🚧
    contentscript.bundle.js:85 successfully updated user preferred location
    jquery-migrate.min.js:2 JQMIGRATE: Migrate is installed, version 3.3.2
    Nie udało się załadować elementu mapy źródeł: Nie udało się wczytać treści mapy źródeł chrome-extension://eakacpaijcpapndcfffdgphdiccmpknp/scripts/content_page.map: Błąd systemu: net::ERR_BLOCKED_BY_CLIENT w Narzędziach deweloperskich`”

    Plugin Author Ajay

    (@ajay)

    Thanks. These look like the typical browser console errors due to jqmirate.

    I think I understand what you mean.

    Can I confirm that you are using the Legacy widget and not the block? Both should work but the block gives no output at all while you can see the legacy widget.

    Also, if you’re using Customizer (side panel in preview) then best is to configure it from a post.

    When you hit Update, what message do you see? It should say Widgets saved (or equivalent in the language of your site).

    Thread Starter Danishsard

    (@danishsard)

    This is Legacy Widget? As the name of the widget or plugin, I don’t have one. I do not know what is it.

    I use a new type of widget – both are not visible normally only after selecting from the list and then the options – and on the board of the widgets they cannot be seen. Therefore, in adaptation I am not in standing CPR only in the settings of the widgets in the asministy panel and so in such a strange way .

    I don’t understand what it means adapted from the post?

    As I click in the Save spectati (publish), this is the options are saved.

    Plugin Author Ajay

    (@ajay)

    If you search for Related Posts, then the Appearances > Widgets page shows you two – one is “Legacy Widget” and one is the block (new widget). You can use either.

    The problem with the block is you can’t see it in Appearances>Widgets and you have to use it in Customizer (side panel).

    One option to try as a workaround is to install Classic Editor plugin temporarily and use the old/legacy widget, configure it and then disable Classic Editor plugin.

    If the Customizer view also doesn’t work, then I’m afraid, the only option is to use the plugin with the offset.

    Thread Starter Danishsard

    (@danishsard)

    I do not see him in adapting the motif or in the widgets administrative side. Only in the latter I see how I click the developed list of widge trees – and the options of the side widget panel which I can’t see even though it is added.

    Classic editor – and so the widgets look like a block of blocks and not easy settings.

    These blocks are a tragedy from those times, something is still broken, you can’t see, it is not displayed, etc.

    Plugin Author Ajay

    (@ajay)

    @danishsard

    Another user also pointed out and I think there might be a bug in the implementation of the block. I’ll do some testing.

    Plugin Author Ajay

    (@ajay)

Viewing 15 replies - 1 through 15 (of 16 total)
  • You must be logged in to reply to this topic.